!set title=Invertibilidad triangular 3x3
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c
varcnt=32
prevarcnt=31
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=invertible
val7=Siempre $val6
val8=Nunca $val6
val9=Depende de \(t)
val10=$val7,$val8,$val9
tmp0=!randitem 1,2,3

val11=$[rint($(tmp0))]
tmp0=!randitem t,-t,2t,-2t,t^2,-t^2,t^2+1,t^2+2,t^2+3,t^2-1,t^2-2,t+1,t-1,1-t

val12=$(tmp0)
val13=0
!if $val11=1 
val14=$val7
tmp0=!randitem 1,1,1,2,2

!if $(tmp0)=1 
tmp0=!randitem 4,5,6

val15=$(tmp0)
!else
tmp0=!randitem 1,2


!ifval $(tmp0)=1
tmp1=!randitem 1,2,3

tmp2=!randitem 4,5,6

val15=$(tmp1),$(tmp2)
!else
tmp3=!randitem 1,2,3

val15=$(tmp3)
!endif
tmp0=!randint 1, 8

tmp1=!randint 1, 8

val13=$(tmp0)*t^2+$(tmp1)
!endif
!endif
!if $val11=2 
val14=$val8
tmp0=!randitem 1,2,3

tmp1=!randitem 4,5,6

val15=$(tmp0),$(tmp1)
!endif
!if $val11=3 
val14=$val9
tmp0=!randitem 1,2


!ifval $(tmp0)=1
tmp1=!randitem 1,2,3

tmp2=!randitem 4,5,6

val15=$(tmp1),$(tmp2)
!else
tmp3=!randitem 1,2,3

val15=$(tmp3)
!endif
tmp0=!randitem t,-t,2t,-2t,t^2,-t^2,t^2-1,t^2-2,1-t^2,2-t^2,t+1,t-1,1-t

val13=$(tmp0)
!endif
val16=$val13
val17=$val13
val18=$val13
val19=$val12
val20=$val12
val21=$val12
val22=$[rint(20)]

!ifval 1 notitemof $val15
tmp0=!randint 1, $val22

tmp1=!randitem -1,1

val16=$[rint($(tmp0)*$(tmp1))]
!endif

!ifval 2 notitemof $val15
tmp0=!randint 1, $val22

tmp1=!randitem -1,1

val17=$[rint($(tmp0)*$(tmp1))]
!endif

!ifval 3 notitemof $val15
tmp0=!randint 1, $val22

tmp1=!randitem -1,1

val18=$[rint($(tmp0)*$(tmp1))]
!endif

!ifval 4 notitemof $val15
tmp0=!randint 1, $val22

tmp1=!randitem -1,1

val19=$[rint($(tmp0)*$(tmp1))]
!endif

!ifval 5 notitemof $val15
tmp0=!randint 1, $val22

tmp1=!randitem -1,1

val20=$[rint($(tmp0)*$(tmp1))]
!endif

!ifval 6 notitemof $val15
tmp0=!randint 1, $val22

tmp1=!randitem -1,1

val21=$[rint($(tmp0)*$(tmp1))]
!endif
tmp0=!randitem 1,2


!ifval $(tmp0)=1
val23=$val16,$val19,$val20;0,$val17,$val21;0,0,$val18
!else
val23=	 $val16,0,0;$val19,$val17,0;$val20,$val21,$val18
!endif
choicename1=La respuesta
choicegood1=$val14
choicebad1=$val10
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Determine en qué condiciones la siguiente matriz es invertible, siendo	
!insmath t
$() un número real.	<p><center>	 
!insmath [$val23]
$()	</center><p>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=23
embedcnt=0
